assemble_image_pieces_chapter01 = {}
local self = assemble_image_pieces_chapter01
self.params = 
{

init_pos = 	
	{
		-- 1		
		sf.misc.FloatVector(100.0, 137.0),
		-- 2
		sf.misc.FloatVector(49.0, 339.0),
		--3
		sf.misc.FloatVector(244.0, 123.0),
		--4
		sf.misc.FloatVector(762.0, 190.0),
		--5
		sf.misc.FloatVector(723.0, 525.0),
		--6
		sf.misc.FloatVector(113.0, 538.0),
		-- 7
		sf.misc.FloatVector(128.0, 224.0),
		-- 8
		sf.misc.FloatVector(38.0, 170.0),
		--9
		sf.misc.FloatVector(712.0, 243.0),
		--10
		sf.misc.FloatVector(720.0, 457.0),
		--11
		sf.misc.FloatVector(104.0, 278.0),
		--12
		sf.misc.FloatVector(705.0, 314.0)
	},

target_pos = 
	{
		-- 1		
		sf.misc.FloatVector(599.0, 366.0),
		-- 2
		sf.misc.FloatVector(483.0, 389.0),
		--3
		sf.misc.FloatVector(539.0, 476.0),
		--4
		sf.misc.FloatVector(341.0, 487.0),
		--5
		sf.misc.FloatVector(394.0, 339.0),
		--6
		sf.misc.FloatVector(473.0, 286.0),
		-- 7
		sf.misc.FloatVector(652.0, 282.0),
		-- 8
		sf.misc.FloatVector(524.0, 243.0),
		--9
		sf.misc.FloatVector(473.0, 243.0),
		--10
		sf.misc.FloatVector(292.0, 423.0),
		--11
		sf.misc.FloatVector(292.0, 332.0),
		--12
		sf.misc.FloatVector(292.0, 241.0)
	},
	
	colors = 
	{
		normal = sf.graphics.Color(255, 255, 255, 255),
		selected = sf.graphics.Color(255, 255, 255, 255)
	},
	
	highlight_effect = 
	{
		color =
		{
			min = sf.graphics.Color(255, 255, 255, 255),
			max = sf.graphics.Color(255, 100, 200, 100)
		},
		
		time = 700
	},
	
	moving_effect = 
	{
		speed = 0.2
	},
	
	inaccuracy = 15.0,
	
	sound_take = "take_sheet",
	sound_right_put = "put_part",
	sound_error_put = "put_part"
}

self.Init = function(_owner)
	assemble_image_pieces.params = self.params
	assemble_image_pieces.Init(_owner)
end

for p,v in pairs(assemble_image_pieces) do
	if not self[p] then self[p] = v end
end